For the complete documentation index, see llms.txt. This page is also available as Markdown.

Restart virtual machine

Restart a specified virtual machine by fully stopping and starting it. If the virtual machine was stopped, it will be started. Use this endpoint to reboot VPS instances.

Restart virtual machine

post

Restart a specified virtual machine by fully stopping and starting it.

If the virtual machine was stopped, it will be started.

Use this endpoint to reboot VPS instances.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
virtualMachineIdintegerRequired

Virtual Machine ID

Example: 1268054
Responses
200

Success response

application/json
idintegerOptional

Action ID

Example: 8123712
namestringOptional

Action name

Example: action_name
statestring · enumOptional

Action state

Example: successPossible values:
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:00Z
updated_atstring · date-timeOptionalExample: 2025-02-27T11:58:00Z
post/api/vps/v1/virtual-machines/{virtualMachineId}/restart
POST /api/vps/v1/virtual-machines/{virtualMachineId}/restart HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 8123712,
  "name": "action_name",
  "state": "success",
  "created_at": "2025-02-27T11:54:00Z",
  "updated_at": "2025-02-27T11:58:00Z"
}

Last updated

Was this helpful?